{% extends "base.volt" %}

{%- block title -%}
Transponder info
{%- endblock -%}

{%- block heading -%}
Transponder info
{%- endblock -%}

{% block content %}
		<div class="text">
			{% if status is defined %}
			<div class="error">
				{{ status|e }}
			</div>
			{% endif %}
			<h2>General</h2>
			<dl class="ca">
				<dt>Serial Identification Code</dt>
				<dd>{{ transponder.getSic()|e }}</dd>
				<dt>Location</dt>
				<dd>{{ transponder.getLocation()|e }}</dd>
				<dt>Clearance Level</dt>
				<dd>{{ transponder.getClearanceLevel()|e }}</dd>
				<dt>Active</dt>
				<dd>
						{% if transponder.getActive() %}
							Yes
						{% else %}
							No
						{% endif %}
				</dd>
				<dt>Added on</dt>
				<dd>{{ transponder.getDateAdded()|e }}</dd>
			</dl>
			<h2>Status</h2>
			<dl class="ca">
				<dt>Current Status</dt>
				<dd>
					{% if transponder.getLastStatus() != null %}
						{{ transponder.getLastStatus()|e }}
					{% else %}
						-
					{% endif %}
				</dd>
				<dt>Last update</dt>
				<dd>
					{% if transponder.getDateLastStatus() != null %}
						{{ transponder.getDateLastStatus()|e }}
					{% else %}
						-
					{% endif %}
				</dd>
			</dl>
			<h2>Connectivity</h2>
			<dl class="ca">
				<dt>Last transmission</dt>
				<dd>
					{% if transponder.getDateLastTransmission() != null %}
						{{ transponder.getDateLastTransmission()|e }}
					{% else %}
						-
					{% endif %}
				</dd>
				<dt>Data packets received</dt>
				<dd>
					{% if transponder.getTotalPacketsRecv() != null %}
						{{ transponder.getTotalPacketsRecv()|e }}
					{% else %}
						-
					{% endif %}
				</dd>
				<dt>Link speed</dt>
				<dd>
					{% if transponder.getLinkSpeed() != null %}
						{{ transponder.getLinkSpeed()|e }}
					{% else %}
						-
					{% endif %}
				</dd>
			</dl>
			<div style="clear:both"></div>
			{% if transponder.getActive() %}
			<div>
				<a href="/transponder/status/{{ transponder.getId()|e }}" class="button">Request status</a>
				<a href="/transponder/packet/{{ transponder.getId()|e }}" class="button">View packet data</a>
			</div>
			{% else %}
			<div class="error">
				Activate this transponder to start fetching data.
			</div>
			{% endif %}
		</div>

{% endblock %}
